aboutsummaryrefslogtreecommitdiffstats
path: root/chapter10
diff options
context:
space:
mode:
Diffstat (limited to 'chapter10')
-rw-r--r--chapter10/linux.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/chapter10/linux.sh b/chapter10/linux.sh
new file mode 100644
index 0000000..d443dc8
--- /dev/null
+++ b/chapter10/linux.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+
+make mrproper
+cp -v ../kernelconfig .config
+yes "" | make oldconfig
+make "${MAKEFLAGS}"
+make modules_install
+cp -iv arch/x86_64/boot/bzImage /boot/linux-"${VERSION}"
+cp -iv System.map /boot/System.map-"${VERSION}"
+cp -iv .config /boot/config-"${VERSION}"
+
+install -dv /usr/share/doc/linux-"${VERSION}"
+cp -rv Documentation/* /usr/share/doc/linux-"${VERSION}"